About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. Test Link
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
        GET
      • Create Test Link
        POST
      • Update Test Link
        POST
    • Report
      • Retrieve candidate test report
      • Retrieve candidate test report in PDF
      • Get Reports By TestId
      • Get All Reports
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
      • Schedule Interview
      • Get Detailed Report
      • Get All Reports
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
      • Get Employee Skills by employeeId
      • Employee Enrollment
      • Get Employee Certificates
      • Update Employee Status
      • Get Employee Assessment Report
      • Upload Certificate for Employee
      • Upload Resume for Employee
      • List Employees with Skills Profile
      • Assign Learning to Employee
      • Get Employee Skill Gap
    • JobProfiles
      • Get All JobProfiles
      • Get JobProfile with Skills By JobProfileId
      • Create JobCode
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
      • Get all Learning Resources
    • Certificates
      • Create certificate with skills
      • Get all Certificates
  1. Test Link

Create Test Link

POST
/v3/tests/{testId}/testlinks
Create new test link for a given test

Request

Path Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://apiv3.imocha.io/v3/tests//testlinks' \
--header 'Content-Type: application/json' \
--data-raw '{
    "testLinkName": "Campus Hiring 2026",
    "testLinkStatus": "active",
    "invitationType": "email",
    "proctoringSettings": {
        "proctoringMode": "image"
    },
    "stakeholderEmails": "[email protected]",
    "invitationSchedule": {
        "scheduleType": "timebound",
        "scheduleDetails": {
            "startDateTime": "2020-04-17T04:30:00Z",
            "endDateTime": "2020-04-26T05:30:00Z",
            "timeZoneId": 1720
        }
    }
}'
Response Response Example
Example 1 (Timebound)
{
    "testLinkName": "Campus Hiring 2026",
    "testLinkStatus": "active",
    "invitationType": "email",
    "proctoringSettings": {
        "proctoringMode": "image"
    },
    "stakeholderEmails": "[email protected]",
    "invitationSchedule": {
        "scheduleType": "timebound",
        "scheduleDetails": {
            "startDateTime": "2020-04-17T04:30:00Z",
            "endDateTime": "2020-04-26T05:30:00Z",
            "timeZoneId": 1720
        }
    }
}
Modified at 2026-05-26 09:01:28
Previous
List all test links
Next
Update Test Link
Built with